/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
#include "sample.h"

EXPORT
double func1(double x) {
    return 2*sin(x);
}

EXPORT
double func2(double x, double y) {
   return 2*hypot(x, y);
}

EXPORT
int func3(FUNPTR fp, int n) {
   fp(n);
   return 2*n;
}
